apiVersion: v1
kind: Service
metadata:
  name: <<appenv>>fe-static-api
  namespace: <<appenv>>frontend-static
  labels:
    app: <<appenv>>fe-static-api
    service: <<appenv>>fe-static-api
spec:
  ports:
  - port: 3011
    name: http-<<appenv>>fe-static-api
  selector:
    app: <<appenv>>fe-static-api
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: <<appenv>>frontend-static-api
  namespace: <<appenv>>frontend-static
  labels:
    account: <<appenv>>frontend-static-api
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: <<appenv>>frontend-static-api
  namespace: <<appenv>>frontend-static
  labels:
    app: <<appenv>>fe-static-api
    version: v1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: <<appenv>>fe-static-api
      version: v1
  template:
    metadata:
      name: <<appenv>>fe-static-api
      labels:
        app: <<appenv>>fe-static-api
        version: v1
    spec:
      serviceAccountName: <<appenv>>frontend-static-api
      containers:
      - name: api
        image: docker.adaoncloud.com/frontend/<<appenv>>static-api:<<imagetag>>
        ports:
        - containerPort: 3011
        imagePullPolicy: Always
      restartPolicy: Always
      imagePullSecrets:
        - name: ada-registry